package com.example.kingway.ptt;

import java.io.Serializable;

/**
 * <pre>
 *     author : GaryLiang
 *     e-mail : 595184932@qq.com
 *     time   : 2017/11/21 上午9:09
 *     desc   :  组 成员
 *     version: 1.0
 * </pre>
 */

public class GroupMemberInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private int memberNo; //表示此成员为第几个用户
    private String memberId;
    private String gmemberName;
    private String status;
    private boolean haveVideo;//此成员是否有视频功能

    public GroupMemberInfoDto(){}

    public GroupMemberInfoDto(String memberId, String gmemberName, String status, int memberNo, boolean haveVideo) {
        this.memberId = memberId;
        this.gmemberName = gmemberName;
        this.memberNo = memberNo;
        this.status = status;
        this.haveVideo = haveVideo;
    }

    public int getMemberNo() {
        return memberNo;
    }

    public void setMemberNo(int memberNo) {
        this.memberNo = memberNo;
    }

    public String getStatus() {
        return status == null ? "" : status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMemberId() {
        return memberId == null ? "" : memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getGmemberName() {
        return gmemberName == null ? "" : gmemberName;
    }

    public void setGmemberName(String gmemberName) {
        this.gmemberName = gmemberName;
    }

    public boolean isHaveVideo() {
        return haveVideo;
    }

    public void setHaveVideo(boolean haveVideo) {
        this.haveVideo = haveVideo;
    }

    @Override
    public String toString() {
        return "GroupMemberInfoDto{" +
                "memberNo=" + memberNo +
                ", memberId='" + memberId + '\'' +
                ", gmemberName='" + gmemberName + '\'' +
                ", status='" + status + '\'' +
                ", haveVideo=" + haveVideo +
                '}';
    }
}